Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.enhancer
Class PersistentAccessorVisitor

    java.lang.Object
      org.objectweb.asm.ClassAdapter
          org.apache.cayenne.enhancer.AccessorVisitor
              org.apache.cayenne.enhancer.PersistentAccessorVisitor

All Implemented Interfaces:
  org.objectweb.asm.ClassVisitor

    public class PersistentAccessorVisitor

extends AccessorVisitor

Accessor enhancer that enhances getters and setters mapped in a given `ObjEntity`.

Since:
  3.0
Author:
  Andrus Adamchik

Field Summary

Fields inherited from class org.objectweb.asm.ClassAdapter
`cv`

Constructor Summary
`PersistentAccessorVisitor(org.objectweb.asm.ClassVisitor visitor, ObjEntity entity)`

Method Summary
`protected boolean` | `isEnhancedProperty(String property)`
`protected boolean` | `isLazyFaulted(String property)`

Methods inherited from class org.apache.cayenne.enhancer.AccessorVisitor
`propertyNameForGetter, propertyNameForSetter, visit, visitGetter, visitMethod, visitSetter`

Methods inherited from class org.objectweb.asm.ClassAdapter
`visitAnnotation, visitAttribute, visitEnd, visitField, visitInnerClass, visitOuterClass, visitSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistentAccessorVisitor

    public PersistentAccessorVisitor(org.objectweb.asm.ClassVisitor visitor,
                                     ObjEntity entity)

Method Detail

### isEnhancedProperty

    protected boolean isEnhancedProperty(String property)

  Specified by:
    `isEnhancedProperty` in class `AccessorVisitor`

### isLazyFaulted

    protected boolean isLazyFaulted(String property)

  Specified by:
    `isLazyFaulted` in class `AccessorVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.